RDKit: RDKit::Deprotect Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Classes | Functions
RDKit::Deprotect Namespace Reference

## Classes
struct | DeprotectData

## Functions
RDKIT_DEPROTECT_EXPORT const std::vector< DeprotectData > & | getDeprotections ()
| Retrieves the built in list of common deprotections.
RDKIT_DEPROTECT_EXPORT std::unique_ptr< ROMol > | deprotect (const ROMol &mol, const std::vector< DeprotectData > &deprotections=getDeprotections())
| Deprotect a molecule.
RDKIT_DEPROTECT_EXPORT bool | deprotectInPlace (RWMol &mol, const std::vector< DeprotectData > &deprotections=getDeprotections())
| Deprotect a molecule in place.

## Function Documentation

## ◆ deprotect()

RDKIT_DEPROTECT_EXPORT std::unique_ptr< ROMol > RDKit::Deprotect::deprotect | ( | const ROMol & | mol,
|  | const std::vector< DeprotectData > & | deprotections = getDeprotections() )

Deprotect a molecule.

The resulting molecule is annotated with the deprotections used (property DEPROTECTIONS) and the number of deprotections applied (property DEPROTECTIION_COUNT)

Parameters

  mol | the molecule to deprotect
  deprotections | - a vector of deprotections to use, defaults to the built in deprotections.

Returns
  The deprotected form of the input molecule

References RDKIT_DEPROTECT_EXPORT.

## ◆ deprotectInPlace()

RDKIT_DEPROTECT_EXPORT bool RDKit::Deprotect::deprotectInPlace | ( | RWMol & | mol,
|  | const std::vector< DeprotectData > & | deprotections = getDeprotections() )

Deprotect a molecule in place.

The molecule is annotated with the deprotections used (property DEPROTECTIONS) and the number of deprotections applied (property DEPROTECTIION_COUNT)

Parameters

  mol | the molecule to deprotect
  deprotections | - a vector of deprotections to use, defaults to the built in deprotections.

Returns
  whether or not the molecule was changed

References RDKIT_DEPROTECT_EXPORT.

## ◆ getDeprotections()

RDKIT_DEPROTECT_EXPORT const std::vector< DeprotectData > & RDKit::Deprotect::getDeprotections | ( |  | ) |

Retrieves the built in list of common deprotections.

References RDKIT_DEPROTECT_EXPORT.